isize = 36
top = 40
ogap = 40
gap = 10
texth = 1.5*14*2.5
texty = top + isize + gap --adjust
winheight = texty + texth  --adjust
width = 100 --adjust

function pos(num)
   local x = ogap + width*(num-1)
   return x
end
settings = {["x"]=300, ["y"]=100}


Win = Turbine.UI.Lotro.Window()
Win:SetPosition(settings.x,settings.y) --FIX: Save position?
Win:SetVisible(true);
Win:SetText("Tools");
Win:SetHideF12(true);
Win:SetCloseEsc(true);
MakeSaveable(Win,"ToolTime")
Win:Load()

--Cursor is to highlight the equipped item
--cursorY = y+size+gap/2
--Cursor = Turbine.UI.Control()
--Cursor:SetParent(Win)
--Cursor:SetSize(size,gap/2)
--Cursor:SetPosition(size+gap,cursorY)
--Cursor:SetVisible(true)

function SetupWindow(tools)
   Win:GetControls():Clear()
   local winwidth = math.max(185, pos(#tools+1)+ogap)
   
   Win:SetSize(winwidth, winheight)
   Qslot = {}
   Text = {}
   local i = 0
   for _,tool in ipairs(tools) do
      if tool.profession ~= nil and #tool.profession > 0 then
         i = i + 1
         Qslot[i] = Turbine.UI.Lotro.ItemControl()
         Qslot[i]:SetParent(Win)
         Qslot[i]:SetPosition(pos(i)+isize/2,top)
         Qslot[i]:SetSize(isize,isize)
         Qslot[i]:SetBackColor(Turbine.UI.Color(0,0,0))
         Qslot[i]:SetVisible(true)
         Qslot[i]:SetItem(tool.item)
         local text = ""
         for _,num in ipairs(tool.profession) do
            text = text .. professions[num] .. "\n"
         end
         Text[i] = Turbine.UI.Label()
         Text[i]:SetParent(Win)
         Text[i]:SetPosition(pos(i),texty)
         Text[i]:SetSize(width,texth)
         Text[i]:SetFont(Turbine.UI.Lotro.Font.TrajanPro14)
         Text[i]:SetText(text)
         Text[i]:SetVisible(true)
         Text[i]:SetTextAlignment(Turbine.UI.ContentAlignment.TopCenter)
         if tool.where == "equipped" then
            minim.icon:SetBackground(tool.item:GetItemInfo():GetIconImageID())
            minim.text:SetText(text)
         end

      end
   end
   multipleTools = (i>1)
end

--function SetCursor(num)
--   local width
--   local x
--   local white = Turbine.UI.Color(0xAB/0xFF, 0x99/0xFF, 0x16/0xFF) 
--   local black = Turbine.UI.Color(0,0,0)
--   local backs = {1,1}
--   local color = Turbine.UI.Color(1,0,0)
--   x = pos(num)
--   width = size+gap
--   Cursor:SetBackColor(color)
--   Cursor:SetSize(width,gap/2)
--   Cursor:SetPosition(x,cursorY)
--end


function ShowWindow()
   Win:SetVisible(true)
   Win.icon:hide()
end

minim:attach(Win,"Morgantine/ToolTime/MinimizedIcon.tga")
MakeSaveable(minim,"ToolTimeMin")
